/**
 * MacHandler.java
 * eu.gronos.kostenrechner (Kostenrechner)
 */
package eu.gronos.kostenrechner;

import com.apple.eawt.QuitHandler;
import com.apple.eawt.QuitResponse;
import com.apple.eawt.AppEvent.QuitEvent;
import com.apple.eawt.Application;

import eu.gronos.kostenrechner.controller.BeendenHorcher;

/**
 * @url "http://www.javabeginners.de/Mac-Besonderheiten/MacOSX-Menuleiste.php"
 * 
 */
public class MacQuitHandler implements QuitHandler {

	static final MacQuitHandler MAC_QUIT_HANDLER = new MacQuitHandler();

	/**
	 * Die Methode ruft {@link BeendenHorcher#beendeKostenrechner()} als Reaktion
	 * auf Apfel+Q auf.
	 * 
	 * @param qe ein QuitEvent
	 * @param qr eine QuitResponse
	 * 
	 * @see com.apple.eawt.QuitHandler#handleQuitRequestWith(com.apple.eawt.AppEvent.QuitEvent,
	 *      com.apple.eawt.QuitResponse)
	 */
	@Override
	public void handleQuitRequestWith(QuitEvent qe, QuitResponse qr) {
		BeendenHorcher.beendeKostenrechner();
	}

	static void quitSetzen() {
		try {
			Application.getApplication().setQuitHandler(MacQuitHandler.MAC_QUIT_HANDLER);
		} catch (NoClassDefFoundError e) {
			System.err.println("Nix can open Apple");
		}
	}

}