/**
 * StreitgenossenGesamtschuldnerDwbk.java
 * eu.gronos.kostenrechner.view.panel (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.baumbach;

import java.awt.event.ActionEvent;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.model.baumbach.BaumbachGesamtschuldnerschaft;
import eu.gronos.kostenrechner.view.baumbach.GesamtschuldnerDialog;
import eu.gronos.kostenrechner.view.baumbach.StreitgenossenPanel;
import eu.gronos.kostenrechner.view.helpanderror.FehlerDialog;

/**
 * Der AbstractAction mit dem Namen klDwbkGesamtsch fügt eine
 * gesamtschuldnerische Verurteilung auf Kläger-/Drittwiderbeklagtenseite hinzu.
 *
 * @author Peter Schuster (setrok)
 * @date 10.11.2018
 *
 */
public class StreitgenossenGesamtschuldnerDwbkAction extends BeschriebeneAktion {
	/**
	 * panel speichert TODO (kommentieren) als StreitgenossenGesamtschuldnerDwbk.
	 */
	private final StreitgenossenPanel panel;
	private static final long serialVersionUID = -6637467913455344657L;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 * @param panel            TODO
	 */
	public StreitgenossenGesamtschuldnerDwbkAction(StreitgenossenPanel panel, String name, String shortDescription,
			int mnemonic, String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
		this.panel = panel;
	}

	@Override
	public void actionPerformed(ActionEvent ae) {
		try {
			GesamtschuldnerDialog gesamtschuldnerDialog = new GesamtschuldnerDialog(panel.getKostenrechner(),
					panel.btmKlaeger.getAllValues(), panel.btmDrittwiderbeklagte.getAllValues());
			BaumbachGesamtschuldnerschaft bt = gesamtschuldnerDialog.showDialog();
			if (bt != null)
				panel.btmDrittwiderbeklagte.addRow(bt);
		} catch (IllegalArgumentException iae) {
			// Meldung, wenn noch keine Beteiligten in Tabelle
			new FehlerDialog(StreitgenossenPanel.FEHLER_GESAMTSCHULDNERSCHAFT, iae.getLocalizedMessage(), iae)
					.showDialog();
		}
	}
}