/**
 * StreitgenossenWiderklageAction.java
 * eu.gronos.kostenrechner.view.panel (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.baumbach;

import java.awt.event.ActionEvent;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.model.baumbach.Widerklage;
import eu.gronos.kostenrechner.view.HinzufuegenDialog;
import eu.gronos.kostenrechner.view.baumbach.StreitgenossenPanel;
import eu.gronos.kostenrechner.view.baumbach.WiderklageHinzufuegenDialog;

/**
 * Der AbstractAction mit dem Namen widerKlageAktivierenAction ruft einen
 * kleinen HinzufuegenDialog für die Widerklage auf.
 *
 * @author Peter Schuster (setrok)
 * @date 10.11.2018
 *
 */
public class StreitgenossenWiderklageAction extends BeschriebeneAktion {
	private final StreitgenossenPanel panel;
	private static final long serialVersionUID = 7753262660993032427L;
	private final HinzufuegenDialog<Widerklage> hd;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 * @param panel            TODO
	 */
	public StreitgenossenWiderklageAction(StreitgenossenPanel panel, String name, String shortDescription, int mnemonic,
			String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
		this.panel = panel;
		hd = new WiderklageHinzufuegenDialog(panel.getKostenrechner(), "Widerklage aktivieren");
	}

	@Override
	public void actionPerformed(ActionEvent ae) {
		// boolean[] b = hd.showDialog();
		Widerklage widerklage = hd.showDialog();
		if (widerklage == null)
			return;
		/*
		 * panel.setWiderKlageAnzeigen(b[0]);
		 * panel.btmKlaeger.setWiderKlageAnzeigen(b[0]);
		 * panel.btmDrittwiderbeklagte.setWiderKlageAnzeigen(b[0]);
		 * panel.btmBeklagte.setWiderKlageAnzeigen(b[0]);
		 * panel.setWirtschaftlichIdentisch(b[1]);
		 */
		panel.setWiderKlageAnzeigen(widerklage.isVorhanden());
		panel.btmDrittwiderbeklagte.setWiderKlageAnzeigen(widerklage.isVorhanden());
		panel.btmBeklagte.setWiderKlageAnzeigen(widerklage.isVorhanden());
		panel.setWirtschaftlichIdentisch(widerklage.isWirtschaftlichIdentisch());
	}
}