/**
 * EmailTenorFalschAction.java
 * eu.gronos.kostenrechner.view.result (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.files;

import java.awt.event.ActionEvent;

import eu.gronos.kostenrechner.Kostenrechner;
import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.controller.VerfahrensDatenContainer;
import eu.gronos.kostenrechner.interfaces.Begruendend;
import eu.gronos.kostenrechner.interfaces.Tenorierend;

/**
 * emailSchreibenTenorFalsch lässt eine Beschwerde-E-Mail im
 * Standard-E-Mail-Client über {@link TenorUtils.emailSchreiben(String, String)}
 * schreiben. Dabei wird der Text des Tenors und noch XML-Daten mitgeschickt.
 * 
 *
 *
 * @author Peter Schuster (setrok)
 * @date 22 Nov 2018
 *
 */
public class SchreibeEmailTenorFalschAction extends BeschriebeneAktion {
	/**
	 * tenorDialog speichert TODO (kommentieren) als EmailTenorFalschAction.
	 */
	//private final TenorDialog dialog;
	private static final long serialVersionUID = -978875818285786710L;
	private final Tenorierend tenorierend;
	private final VerfahrensDatenContainer container;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 * @param tenorierend      TODO
	 * @param container TODO
	 */
	public SchreibeEmailTenorFalschAction(String name, String shortDescription, int mnemonic, String actionCommandKey,
			Tenorierend tenorierend, VerfahrensDatenContainer container) {
		super(name, shortDescription, mnemonic, actionCommandKey);
		this.tenorierend = tenorierend;
		this.container = container;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		final String subject = "Falscher Tenor in kostentenor.de " + Kostenrechner.KOSTENRECHNER_VERSION;
		// Im E-Mail-Text werden Tenor und noch XML-Daten mitgeschickt
		final String xmlString = new BerechnungXmlDatei().toXmlString(container);
		final String tenor = !(tenorierend instanceof Begruendend) ? tenorierend.erzeugeTenor()
				: tenorierend.erzeugeTenor() + EmailUtils.NEUER_ABSATZ + ((Begruendend) tenorierend).getGruende();
		final String body = "Bitte beschreiben Sie, warum Sie den Tenor für falsch halten" + EmailUtils.NEUER_ABSATZ
				+ tenor + EmailUtils.NEUER_ABSATZ + xmlString;
		EmailUtils.emailSchreiben(subject, body);
	}
}