/**
 * GebuehrenAufstellungAction.java
 * eu.gronos.kostenrechner.view.panel (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.gebuehren;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.controller.VerfahrensDatenContainer;
import eu.gronos.kostenrechner.controller.files.VerfahrensDatenContainer2GUI;
import eu.gronos.kostenrechner.logic.gebuehren.GebuehrenBerechnungsAufstellung;
import eu.gronos.kostenrechner.view.gebuehren.GebuehrenBerechnungPanel;
import eu.gronos.kostenrechner.view.helpanderror.FehlerDialog;
import eu.gronos.kostenrechner.view.result.TenorDialog;

/**
 * gebuehrenBerechnung erstellt eine Aufstellung der Gebühren und ihrer Summe zu
 * dem ausgewählten Streitwert. {@link KeyEvent#VK_E}
 *
 * @author Peter Schuster (setrok)
 * @version
 * @date 04.11.2018
 *
 */
public class GebuehrenAufstellungAction extends BeschriebeneAktion {
	/**
	 * panel speichert TODO (kommentieren) als GebuehrenAufstellungAction.
	 */
	private final GebuehrenBerechnungPanel panel;
	private static final long serialVersionUID = 4793754967839528087L;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 * @param gebuehrenBerechnungPanel TODO
	 */
	public GebuehrenAufstellungAction(GebuehrenBerechnungPanel gebuehrenBerechnungPanel, String name, String shortDescription, int mnemonic, String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
		panel = gebuehrenBerechnungPanel;
	}

	@Override
	public void actionPerformed(ActionEvent ae) {
		panel.requestFocus();
		if (panel.getFtfStreitwert() != null && panel.gttmRechner != null) {
			try {
				final VerfahrensDatenContainer container = new VerfahrensDatenContainer2GUI()
						.leseAlleWertefuerContainer();
				new TenorDialog(panel.getKostenrechner(),
						new GebuehrenBerechnungsAufstellung(container.gebuehrenBerechnung).erzeugeContainer(),
						container).showDialog();
			} catch (NumberFormatException e) {
				// TODO Überflüssig? Werte prüfen! Werden woanders geprüft?
				new FehlerDialog(FehlerDialog.FEHLER_BLANKO, e.getLocalizedMessage(), e).showDialog();
			} catch (NullPointerException | IllegalArgumentException e) {
				new FehlerDialog(FehlerDialog.FEHLER_BLANKO, e.getLocalizedMessage(), e).showDialog();
			}
		}
	}
}