/**
 * GebuehrenTabelleDruckenAction.java
 * eu.gronos.kostenrechner.view.panel (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.gebuehren;

import java.awt.event.ActionEvent;
import java.awt.print.PrinterException;
import java.text.MessageFormat;

import javax.swing.KeyStroke;
import javax.swing.JTable.PrintMode;

import eu.gronos.kostenrechner.Kostenrechner;
import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.view.gebuehren.GebuehrenBerechnungPanel;
import eu.gronos.kostenrechner.view.helpanderror.FehlerDialog;

/**
 * TODO kommentieren: Klasse beschreiben
 *
 * @author Peter Schuster (setrok)
 * @version
 * @date 04.11.2018
 *
 */
public class GebuehrenTabelleDruckenAction extends BeschriebeneAktion {
	/**
	 * panel speichert TODO (kommentieren) als GebuehrenTabelleDruckenAction.
	 */
	private final GebuehrenBerechnungPanel panel;
	private static final long serialVersionUID = 8046359053768482197L;

	/**
	 * Die AbstractAction druckeTabelle druckt den Inhalt der Streitwerttabelle
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 * @param acceleratorKey
	 * @param gebuehrenBerechnungPanel TODO
	 */
	public GebuehrenTabelleDruckenAction(GebuehrenBerechnungPanel gebuehrenBerechnungPanel, String name, String shortDescription, int mnemonic,
			String actionCommandKey, KeyStroke acceleratorKey) {
		super(name, shortDescription, mnemonic, actionCommandKey, acceleratorKey);
		panel = gebuehrenBerechnungPanel;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		try {
			boolean fertig = panel.getTabStreitwertTabelle().print(PrintMode.FIT_WIDTH,
					new MessageFormat("Streitwerttabelle"), new MessageFormat(Kostenrechner.KOSTENRECHNER_TITLE
							+ Kostenrechner.KOSTENRECHNER_VERSION + "\t Seite {0}"));
			if (fertig)
				;
		} catch (PrinterException pe) {
			new FehlerDialog(FehlerDialog.FEHLER_BLANKO, GebuehrenBerechnungPanel.FEHLER_DRUCKEN, pe).showDialog();
		}
	}
}