/**
 * VollstreckungsVerhaeltnis.java
 * eu.gronos.kostenrechner.calculation (Kostenrechner)
 */
package eu.gronos.kostenrechner.model.tenordaten;

import javax.xml.bind.annotation.XmlElement;

import eu.gronos.kostenrechner.logic.baumbach.BaumbachVollstreckbarkeitsObjekt;

/**
 * Klasse zum strukturierten Darstellen der vorläufigen Vollstreckbarkeit einer Verurteilung 
 *
 * @author Peter Schuster (setrok)
 * @version
 * @date 28.07.2018
 *
 */
public class VollstreckungsVerhaeltnis extends ProzessVerhaeltnis {
	private VollstreckbarkeitsObjekt vollstreckbarkeit;

	/**
	 * Konstruktor: TODO
	 * 
	 */
	public VollstreckungsVerhaeltnis() {
		super();
	}

	/**
	 * Konstruktor: TODO
	 * 
	 * @param glaeubiger
	 * @param schuldner
	 * @param vollstreckbarkeit TODO
	 */
	public VollstreckungsVerhaeltnis(Beteiligter glaeubiger, Beteiligter schuldner, VollstreckbarkeitsObjekt vollstreckbarkeit) {
		super(glaeubiger, schuldner, false);
		this.setVollstreckbarkeit(vollstreckbarkeit);
	}

	/**
	 * Ein Konstruktor, der sich zunutze macht, dass
	 * {@link BaumbachVollstreckbarkeitsObjekt} fast alle Wete enthält, die für das
	 * Vollstreckungsverhältnis gebraucht werden
	 * 
	 * @param baumbach ein {@link BaumbachVollstreckbarkeitsObjekt}
	 */
	public VollstreckungsVerhaeltnis(BaumbachVollstreckbarkeitsObjekt baumbach) {
		this(baumbach.getGlaeubiger(), baumbach.getSchuldner(), baumbach);
	}

	/**
	 * @return gibt {@link #vollstreckbarkeit} als VollstreckbarkeitsObjekt zurück.
	 */
	@XmlElement(name = "vollstreckbarkeit")
	public VollstreckbarkeitsObjekt getVollstreckbarkeit() {
		return vollstreckbarkeit;
	}

	/**
	 * @param vollstreckbarkeit d. {@link #vollstreckbarkeit}, d. gesetzt werden
	 *                          soll als VollstreckbarkeitsObjekt
	 */
	public void setVollstreckbarkeit(VollstreckbarkeitsObjekt vollstreckbarkeit) {
		this.vollstreckbarkeit = vollstreckbarkeit;
	}

}
